oracle.xml.binxml

## Class BinXMLMetadataProviderFactory

- java.lang.Object
- - oracle.xml.binxml.BinXMLMetadataProviderFactory

    public class BinXMLMetadataProviderFactory
    extends java.lang.Object

Factory class for creating DBBinXMLMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`BinXMLMetadataProviderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DBBinXMLMetadataProvider` `createDBMetadataProvider()` The method returns a new instance of DBBinXMLMetadataProvider.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinXMLMetadataProviderFactory

    public BinXMLMetadataProviderFactory()

### Method Detail

#### createDBMetadataProvider

    public static DBBinXMLMetadataProvider createDBMetadataProvider()
                                                             throws BinXMLException

The method returns a new instance of DBBinXMLMetadataProvider.

Returns:
  instance of DBBinXMLMetadataProvider
Throws:
  `BinXMLException`

Copyright © 2003, 2020, Oracle and/or its affiliates.